Qt 5.11 | Qt 3D | C++ Classes | QSpriteSheetItem

Qt 5.11.3 Reference Documentation

# QSpriteSheetItem Class

(Qt3DExtras::QSpriteSheetItem)

Inherits: | Qt3DCore::QNode

- List of all members, including inherited members

## Properties

- height : int
- width : int
- x : int
- y : int

- 3 properties inherited from Qt3DCore::QNode

## Public Functions

| QSpriteSheetItem(Qt3DCore::QNode *parent = nullptr)
int | height() const
int | width() const
int | x() const
int | y() const

- 13 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setHeight(int height)
void | setWidth(int width)
void | setX(int x)
void | setY(int y)

- 3 public slots inherited from Qt3DCore::QNode

## Signals

void | heightChanged(int height)
void | widthChanged(int width)
void | xChanged(int x)
void | yChanged(int y)

- 4 signals inherited from Qt3DCore::QNode

### Additional Inherited Members

- 2 protected functions inherited from Qt3DCore::QNode

## Property Documentation

### height : int

Access functions:

int | height() const
void | setHeight(int height)

Notifier signal:

void | heightChanged(int height)

### width : int

Access functions:

int | width() const
void | setWidth(int width)

Notifier signal:

void | widthChanged(int width)

### x : int

Access functions:

int | x() const
void | setX(int x)

Notifier signal:

void | xChanged(int x)

### y : int

Access functions:

int | y() const
void | setY(int y)

Notifier signal:

void | yChanged(int y)

## Member Function Documentation

### QSpriteSheetItem::QSpriteSheetItem(Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QSpriteSheetItem.